%define plugins animation bs colorfilter expo ezoom jpeg mag mousepoll neg opacify put resizeinfo ring scaleaddon session shift snap staticswitcher text thumbnail vpswitch winrules workarounds

Name: compiz-fusion
Version: 0.8.8
Release: 4%{?dist}
Summary: Collection of Compiz Fusion plugins for Compiz      

Group: User Interface/Desktops        
License: GPLv2+       
URL: http://compiz-fusion.org            
Source0: http://releases.compiz-fusion.org/%{version}/compiz-plugins-main-%{version}.tar.bz2  
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch: s390 s390x

BuildRequires: compiz-devel >= %{version}
BuildRequires: compiz-bcop >= 0.8.4
BuildRequires: gettext-devel
BuildRequires: cairo-devel
BuildRequires: pango-devel
BuildRequires: perl(XML::Parser)
BuildRequires: mesa-libGLU-devel
BuildRequires: libXrender-devel
BuildRequires: GConf2
BuildRequires: libjpeg-devel
BuildRequires: gawk
BuildRequires: intltool

Requires: compiz >= %{version}      
Obsoletes: beryl-plugins

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience


%package gnome
Summary: Compiz Fusion gnome configuration
Group: User Interface/Desktops
Requires: %{name} = %{version}
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description gnome
This package contains the GNOME configuration for Compiz
Fusion

%package devel
Group: Development/Libraries
Summary: Development files for Compiz-Fusion
Requires: compiz-devel >= %{version}
Requires: %{name} = %{version}
Requires: cairo-devel
Requires: pango-devel

%description devel
This package contain development files required for developing other plugins


%prep
%setup -q -n compiz-plugins-main-%{version}

%build
%configure --enable-schemas
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.a
# remove wall plugin
rm -f $RPM_BUILD_ROOT%{_datadir}/compiz/wall.xml
rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/libwall.so
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/compiz-wall.schemas

%find_lang compiz-plugins-main


%post gnome
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`

for p in in %{plugins}; do
 	echo %{_sysconfdir}/gconf/schemas/compiz-${p}.schemas ; done \
	| xargs %{_bindir}/gconftool-2 --makefile-install-rule >& /dev/null || :


%pre gnome
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`

  for p in in %{plugins}; do
	echo %{_sysconfdir}/gconf/schemas/compiz-${p}.schemas ; done \
	| xargs %{_bindir}/gconftool-2 --makefile-uninstall-rule >& /dev/null || :

fi

%preun gnome
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`

  for p in in %{plugins}; do
	echo %{_sysconfdir}/gconf/schemas/compiz-${p}.schemas ; done \
	| xargs %{_bindir}/gconftool-2 --makefile-uninstall-rule >& /dev/null || :
  
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f compiz-plugins-main.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/filters/
%{_datadir}/compiz/Oxygen/
%{_datadir}/compiz/Gnome/

%files  gnome
%defattr(-,root,root,-)
%{_sysconfdir}/gconf/schemas/*.schemas

%files devel
%defattr(-,root,root,-)
%{_includedir}/compiz/
%{_libdir}/pkgconfig/compiz-*


%changelog
* Mon Nov 12 2012 Andrew Wyatt <andrew@fuduntu.org> - 0.8.8-4
- Sync with other compiz packages

* Sat Aug 04 2012 Andrew Wyatt <andrew@fuduntu.org> - 0.8.8-3
- Sync with other compiz packages

* Sun May 06 2012 Andrew Wyatt <andrew@fuduntu.org> - 0.8.8-1
- Update to latest stable release

* Sat Nov 12 2011 Andrew Wyatt <andrew@fuduntu.org> - 0.8.6-1
- Built for Fuduntu

* Tue Mar 30 2010 Adel Gadllah <adel.gadllah@gmail.com> - 0.8.6-1
- Update to 0.8.6
- Drop upstreamed patches

* Tue Feb 16 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-2
- add patch to stop animation of notify-osd.

* Sat Jan 16 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-1
- Update to 0.8.4
- drop upstream patch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.8.2-3
- Remove the wall gconf schema (conflicts with the one in compiz)

* Fri Jul 10 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.8.2-2
- Don't ship the wall plugin, moved to the compiz package

* Mon May 25 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.8.2-1
- Update to 0.8.2
- Drop upstreamed patches

* Tue Mar 24 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-8
- Add fix for RH #491918, CVE-2008-6514

* Sat Mar 14 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-7
- Backport upstream fix for RH #474741

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-5
- Bump release

* Thu Dec 11 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-4
- Add winrules patch back, not upstream yet

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-3
- BR intltool

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-2
- Really remove patches

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-1
- Update to 0.7.8
- Dropped patches now upstream

* Fri Oct 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-7
- Fix up winrules plugin (backport from git head)

* Tue Jul 15 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-6
- Build on ppc64 too
- Add patch to fix build on ppc64

* Tue Jun 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-5
- Fix up scriptlets (RH #452674)

* Mon Jun 23 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-4
- Speed up gconf schema installation

* Wed Jun 11 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-3
- Revert to old gconf schmema install script

* Fri Jun 06 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-2
- Fix script typo

* Thu Jun 05 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-1
- Update to 0.7.6
- Install all gconf schemas at once

* Tue Mar 25 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-2
- Fix scriptlet failure

* Mon Mar 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-1
- Update to 0.7.2

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-14
- Rebuild for gcc-4.3

* Sun Jan 06 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-13
- Readded accidently dropped memoryleak fix

* Thu Jan 03 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-12
- Fix build with gcc43

* Sun Dec 30 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-11
- Fix stupid typo in the patch

* Thu Dec 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-10
- Plug small memory leak

* Thu Dec 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-9
- Don't break legacy apps that want to unfullscreen themselves

* Tue Dec 25 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-8
- Fix fullscreen for flash windows when legacy fullscreen is 
  enabled.

* Sat Dec 01 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-7
- Adding the patch isn't enough .. we have to apply it ;)

* Sat Dec 01 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-6
- Backport upstream openoffice menu fix

* Sun Oct 28 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-5
- Rediff patch

* Sun Oct 28 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-4
- Fix previous patch

* Sat Oct 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-3
- Apply patch from upstream to fix RH #354601

* Tue Oct 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-2
- Obsolete beryl-plugins

* Mon Oct 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-1
- Update to 0.6.0

* Fri Oct 12 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-10.09b700
- Fix BuildRequries to build missing plugins (RH #327411)
- Mock isn't broken but the Buildrequires ... remove hack

* Wed Oct 10 2007 Warren Togami <wtogami@redhat.com> 0.5.2-9.09b700
- >= instead of = to allow compiz upgrade flexibility

* Sun Sep 23 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-8.09b700
- Fix changelog date

* Sat Sep 22 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-7.09b700
- Update to 0.6 branch (builds against current compiz)

* Wed Sep 19 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-6
- Add animation to plugin list

* Sat Sep 15 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-5
- Fix gconf schemas install (RH #53692)

* Fri Aug 24 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-4
- Remove redundant buildrequires

* Fri Aug 24 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-3
- BuildRequire gawk

* Wed Aug 22 2007 Adel Gadllah <adel.gadllag@gmail.com> 0.5.2-2
- Fix gconf schemas (un)installation

* Sat Aug 18 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-1
- Initial build

